//--------------------------------------------------------------
// File     : main.c
// Datum    : 06.04.2013
// Version  : 1.1
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der Picture Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_picture.h"

int main(void)
{
  FATFS_t check_fat;

  SystemInit(); // Quarz Einstellungen aktivieren

  // Init vom LCD
  UB_LCD_Init();
  UB_LCD_FillScreen(RGB_COL_GREEN);

  // Init der FATFS-Lib
  UB_Fatfs_Init();

  // SD-mounten
  check_fat=UB_Fatfs_Mount(MMC_0);
  if(check_fat==FATFS_OK) {
	  // Windows-BMP von SD-Karte laden
	  // und auf dem Display anzeigen
	  UB_Picture_DrawBmp("emo2.bmp",50,20);

	  // Windows-JPG von SD-Karte laden
	  // und auf dem Display anzeigen
	  UB_Picture_DrawJpg("emo2.jpg",20,180);

	  UB_Fatfs_UnMount(MMC_0);
  }


  while(1)
  {

  }
}

